BCL mscorlib [00 00 00 00 00 00 00 00 04 00 00 00 00 00 00 00 ] 1.0.5000.0 2.0.0.0 4.0.0.0 All public static members of this type are safe for multithreaded operations. No instance members are guaranteed to be thread safe. System.ValueType System.IComparable System.IComparable<System.TimeSpan> System.IEquatable<System.TimeSpan> System.IFormattable

Represents an interval of time.

The structure represents an interval of time with values ranging from to 100-nanosecond .

The value of a is represented internally as a number of 100-nanosecond ticks. Both the specification of a number of ticks and the value of a can be positive or negative.

A can be represented as a string in the format "[-]d.hh:mm:ss.ff" where "-" is an optional sign for negative values, the "d" component is days, "hh" is hours, "mm" is minutes, "ss" is seconds, and "ff" is fractions of a second. For example, a initialized with 10 ticks would be represented as "11.13:46:40", which is 11 days, 13 hours, 46 minutes, and 40 seconds.

Due to a varying number of days in months and years, the longest unit of time that is used by this structure is the day.

- Constructor
  A that specifies the number of ticks with which to initialize the new .

  Constructs and initializes a new with the specified number of ticks.

  To be added.
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that specifies the number of hours with which to initialize the new .
  A that specifies the number of minutes with which to initialize the new .
  A that specifies the number of seconds with which to initialize the new .

  Constructs and initializes a new with the specified numbers of hours, minutes, and seconds.

  The specified , , and are converted to ticks, and that value is used to initialize the new .

  The parameters specify a value less than or greater than .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that specifies the number of days with which to initialize the new .
  A that specifies the number of hours with which to initialize the new .
  A that specifies the number of minutes with which to initialize the new .
  A that specifies the number of seconds with which to initialize the new .

  Constructs and initializes a new with the specified numbers of days, hours, minutes, and seconds.

  The specified , , , and are converted to ticks, and that value is used to initialize the new .

  The parameters specify a value less than or greater than .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Constructor
  A that specifies the number of days with which to initialize the new .
  A that specifies the number of hours with which to initialize the new .
  A that specifies the number of minutes with which to initialize the new .
  A that specifies the number of seconds with which to initialize the new .
  A that specifies the number of milliseconds with which to initialize the new .

  Constructs and initializes a new with the specified numbers of days, hours, minutes, seconds, and milliseconds.

  The specified , , , , and are converted to ticks, and that value is used to initialize the new .

  The parameters specify a value less than or greater than .
  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.TimeSpan `` A instance to add to the current instance.

  Adds the specified to the current instance.

  A that represents the value of the current instance plus the value of .

  To be added. The sum of the value of the current instance and the value of is less than or greater than .

  This example demonstrates the method.

  `using System; public class TimeSpanAddExample { public static void Main() { TimeSpan ts = new TimeSpan(Int32.MaxValue); Console.WriteLine("The value of the timespan 'ts' is {0}", ts); Console.WriteLine("ts.Add(ts) = {0}", ts.Add(ts)); } }`

  The output is

  The value of the timespan 'ts' is 00:03:34.7483647

  ts.Add(ts) = 00:07:09.4967294

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` `` The first to compare. The second to compare.

  Returns the sort order of two structures.

  The return value is a negative number, zero, or a positive number reflecting the sort order of as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Value
  Condition
  Any negative number
  < .
  Zero
  == .
  Any positive number
  > . To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Int32 `` The to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Value
  Condition
  Any negative number
  Current instance < .
  Zero
  Current instance == .
  Any positive number

  Current instance > , or is a null reference.

  This method is implemented to support the interface.

  is not a and is not a null reference.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32 `` The to compare to the current instance.

  Returns the sort order of the current instance compared to the specified .

  The return value is a negative number, zero, or a positive number reflecting the sort order of the current instance as compared to . For non-zero return values, the exact value returned by this method is unspecified. The following table defines the return value:

  Value
  Condition
  Any negative number
  Current instance < .
  Zero
  Current instance == .
  Any positive number
  Current instance > .

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the number days represented by the current instance.

  A represents the days component of the current instance. See for a more detailed description of the days component.

  This property is read-only.

  This example demonstrates using the property.

  `using System; public class TimeSpanPropertiesExampleOne { public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12+3456789); Console.WriteLine(ts.ToString()); Console.WriteLine("Days: {0}", ts.Days ); } }`

  The output is

  11.13:46:40.3456789

  Days: 11

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.TimeSpan

  Returns a whose value is the absolute value of the current instance.

  A whose value is the absolute value of the current instance.

  To be added. The value of the current instance is .

  The following example demonstrates the method.

  `using System; public class TimeSpanDurationExample { public static void Main() { TimeSpan ts = new TimeSpan(Int32.MinValue); Console.Write("The absolute value of TimeSpan {0} ", ts); Console.WriteLine("is {0}", ts.Duration()); } }`

  The output is

  The absolute value of TimeSpan -00:03:34.7483648 is 00:03:34.7483648

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to compare to the current instance.

  Determines whether the current instance and the specified represent the same type and value.

  if represents the same type and value as the current instance. If is a null reference or is not a , returns .

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` The to compare to the current instance.

  Determines whether the current instance and the specified represent the same value.

  if represents the same value as the current instance; otherwise, .

  This method is implemented to support the interface.

  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` `` The first instance of to compare for equality. The second instance of to compare for equality.

  Determines whether two structures represent the same type and value.

  if and represent the same value; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan `` A that specifies the number of days with which the new is initialized.

  Returns a that represents the specified number of days where the specification is accurate to the nearest millisecond.

  A that represents .

  will only be considered accurate to the nearest millisecond.

  If is , a with the value is returned. If is , a with the value is returned.

  The represented by is greater than or less than . is equal to . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan ``

  A that specifies the number of hours with which the new is initialized.

  Returns a that represents the specified number of hours where the specification is accurate to the nearest millisecond.

  A that represents .

  will only be considered accurate to the nearest millisecond.

  If is , a with the value is returned. If is , a with the value is returned.

  The represented by is greater than or less than . is equal to . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan ``

  A that specifies the number of milliseconds with which the new is initialized.

  Returns a that represents the specified number of milliseconds where the specification is accurate to the nearest millisecond.

  A that represents .

  will only be considered accurate to the nearest millisecond.

  If is , a with the value is returned. If is , a with the value is returned.

  The represented by is greater than or less than . is equal to . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan ``

  A that specifies the number of minutes with which the new is initialized.

  Returns a that represents the specified number of minutes where the specification is accurate to the nearest millisecond.

  A that represents .

  will only be considered accurate to the nearest millisecond.

  If is , a with the value is returned. If is , a with the value is returned.

  The represented by is greater than or less than . is equal to . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan ``

  A that specifies the number of seconds with which the new is initialized.

  Returns a that represents the specified number of seconds where the specification is accurate to the nearest millisecond.

  A that represents .

  will only be considered accurate to the nearest millisecond.

  If is , a with the value is returned. If is , a with the value is returned.

  The represented by is greater than or less than . is equal to . 1 ExtendedNumerics 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan `` A that specifies the number of ticks with which the new is initialized.

  Returns a that represents the specified number of ticks.

  A with a value of .

  This method is equivalent to the () constructor.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Int32

  Generates a hash code for the current instance.

  A value containing a hash code for the current instance.

  The algorithm used to generate the hash code is unspecified.

  This method overrides .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the number of hours represented by the current instance.

  A between 0 and 23 inclusive, that represents the hours component of the current instance. See for a more detailed description of the hours component.

  This property is read-only.

  This example demonstrates using the property.

  `using System; public class TimeSpanPropertiesExampleOne { public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12+3456789); Console.WriteLine(ts.ToString()); Console.WriteLine("Hours: {0}", ts.Hours ); } }`

  The output is

  11.13:46:40.3456789

  Hours: 13

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.TimeSpan

  Returns a whose value is the maximum value for the type.

  This field is read-only.

  This field is a containing ticks, the maximum value. The string representation of this value is positive 10675199.02:48:05.4775807.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the number of milliseconds represented by the current instance.

  A between 0 and 999 inclusive, that represents the fractional seconds component of the current instance converted to milliseconds. See for a more detailed description of the fractional seconds component.

  This property is read-only.

  This example demonstrates using the property.

  `using System; public class TimeSpanPropertiesExampleOne { public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12+3456789); Console.WriteLine(ts.ToString()); Console.WriteLine("Milliseconds: {0}", ts.Milliseconds ); } }`

  The output is

  11.13:46:40.3456789

  Milliseconds: 345

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Int32

  Gets the number of minutes represented by the current instance.

  A between 0 and 59 inclusive, that represents the minutes component of the current instance. See for a more detailed description of the minutes component.

  This property is read-only.

  This example demonstrates using the property.

  `using System; public class TimeSpanPropertiesExampleOne { public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12+3456789); Console.WriteLine(ts.ToString()); Console.WriteLine("Minutes: {0}", ts.Minutes ); } }`

  The output is

  11.13:46:40.3456789

  Minutes: 46

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.TimeSpan

  Returns a whose value is the minimum value for the type.

  This field is read-only.

  This field is a containing ticks, the minimum value. The string representation of this value is negative 10675199.02:48:05.4775808.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.TimeSpan

  Returns a with the same absolute value but opposite sign as the current instance.

  A with the same absolute value but with the opposite sign as the current instance.

  To be added. The value of the current instance is . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan `` `` The first . The second .

  Adds the values of two instances.

  A whose value is the sum of the values of and .

  To be added. The sum of and is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` The first The second To be added. To be added.

  Determines whether the value of one is equal to the value of another .

  if the values of and are equal; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` The first . The second .

  Determines whether the value one is greater than the value of another .

  if the value of is greater than the value of ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` The first . The second .

  Determines whether the value of one is greater than or equal to the value of another .

  if the value of is greater than or equal to the value of ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` The first . The second .

  Determines whether the value of one is unequal to the value of another .

  if the values of and are unequal; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` The first . The second .

  Determines whether the value of one is less than the value of another .

  if the value of is less than the value of ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.Boolean `` `` The first . The second .

  Determines whether the value of one is less than or equal to the value of another .

  if the value of is less than or equal to the value of ; otherwise, .

  To be added. 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan `` `` The first . The second .

  Subtracts the value of one from the value of another .

  A whose value is the result of the value of minus the value of .

  To be added. The value of subtracted from is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan `` A whose value will be negated.

  Returns a whose value is the negated value of a specified .

  A with the same absolute value but the opposite sign as .

  To be added. equals . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  System.TimeSpan `` A .

  Returns the specified instance of .

  .

  This method returns .

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.TimeSpan ``

  A containing the value to convert. contains a time interval in the following form:

  [ws][-][d.]hh:mm:ss[.ff][ws]

  Items in square brackets ('[' and']') are optional. Colons and periods (':' and'.') are literal characters. For details on the remaining symbols, see the description section.

  Returns the specified converted to a value.

  The value obtained from .

  The symbols used in the parameter description for are as follows:

  Item
  Description
  ws
  White space (zero or more space and/or tab characters).
  "-"
  Minus sign, indicating a negative time interval.
  "d"
  Days.
  "hh"
  Hours, ranging from 0 to 23 inclusive.
  "mm"
  Minutes, ranging from 0 to 59 inclusive.
  "ss"
  Seconds, ranging from 0 to 59 inclusive.
  "ff"
  Fractional seconds, from 1 to 7 decimal digits inclusive. is a null reference. is in an invalid format.

  represents a number greater than or less than .

  -or-

  At least one of the hours, minutes, or seconds components is outside its valid range.

  This example demonstrates parsing a string to obtain a .

  `using System; public class TimeSpanParseExample { public static void Main() { String str = " -5.12:34:56.789 "; TimeSpan ts = TimeSpan.Parse(str); Console.WriteLine(@"The string ""{0}""", str); Console.WriteLine("parses to TimeSpan {0}", ts); } }`

  The output is

  `The string " -5.12:34:56.789 " parses to TimeSpan -5.12:34:56.7890000` 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.TimeSpan `` `` To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.TimeSpan `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.TimeSpan `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.TimeSpan `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.TimeSpan `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Property
  System.Int32

  Gets the number of seconds represented by the current instance.

  A between 0 and 59 inclusive, that represents the seconds component of the current instance. See for a more detailed description of the seconds component.

  This property is read-only.

  This example demonstrates using the property.

  `using System; public class TimeSpanPropertiesExampleOne { public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12+3456789); Console.WriteLine(ts.ToString()); Console.WriteLine("Seconds: {0}", ts.Seconds ); } }`

  The output is

  11.13:46:40.3456789

  Seconds: 40

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.TimeSpan `` A whose value to subtract from the value of the current instance.

  Subtracts the value of the specified from the value of the current instance.

  A whose value is equal to the value of the current instance minus the value of .

  To be added. The difference between the value of the current instance and is less than or greater than . 0 1.0.5000.0 2.0.0.0 4.0.0.0
- Property
  System.Int64

  Gets the number of ticks represented by the current instance.

  A specifying the number of ticks represented by the current instance.

  This property is read-only.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Int64 864000000000

  Represents the number of ticks in 1 day.

  The value of this constant is 864 billion (8.64x1011 ).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Int64 36000000000

  Represents the number of ticks in 1 hour.

  The value of this constant is 36 billion (3.6x1010 ).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Int64 10000

  Represents the number of ticks in 1 millisecond.

  The value of this constant is 10 thousand (104 ).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Int64 600000000

  Represents the number of ticks in 1 minute.

  The value of this constant is 600 million (6x108 ).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Field
  System.Int64 10000000

  Represents the number of ticks in 1 second.

  The value of this constant is 10 million (107 ).

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.String

  Returns a representation of the value of the current instance.

  A representation of the current instance formatted as follows:

  [-][d.]hh:mm:ss[.ff]

  Items in square brackets ('[' and ']') are included provisionally: '-' is included if and only if the current instance is negative; "d." and ".ff" are included if and only if those components are non-zero. Colons and periods (':' and '.') are literal characters. Other components are as follows.

  Component
  Description
  "-"
  Minus sign, indicating a negative time interval.
  "d"
  Days.
  "hh"
  Hours, ranging from 0 to 23 inclusive.
  "mm"
  Minutes, ranging from 0 to 59 inclusive.
  "ss"
  Seconds, ranging from 0 to 59 inclusive.
  "ff"
  Fractional seconds.

  This method overrides .

  This example demonstrates the method.

  `using System; public class TimeSpanToStringExample { public static void Main() { TimeSpan tsOne = new TimeSpan(1, 23, 45, 54, 321); TimeSpan tsTwo = new TimeSpan(0, 23, 45, 54, 0); Console.Write("TimeSpan one, with d. and .ff: "); Console.WriteLine("{0}", tsOne.ToString()); Console.Write("TimeSpan two, without d. and .ff: "); Console.WriteLine("{0}", tsTwo.ToString()); } }`

  The output is

  TimeSpan one, with d. and .ff: 1.23:45:54.3210000

  TimeSpan two, without d. and .ff: 23:45:54

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  4.0.0.0
  System.String `` To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.String `` `` To be added. To be added. To be added. To be added. To be added.
- Property
  System.Double

  Gets the value of the current instance expressed in days.

  A that specifies the total number of days represented by the current instance.

  This property is read-only.

  This property converts the value of the current instance from ticks to days. This number can include whole and fractional days.

  This example demonstrates using the property.

  `using System; public class TimeSpanTotalUnitsProperties{ public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12); Console.WriteLine(ts.ToString()); Console.WriteLine("TotalDays: {0}", ts.TotalDays); } }`

  The output is

  11.13:46:40

  TotalDays: 11.5740740740741

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Double

  Gets the value of the current instance expressed in hours.

  A that specifies the total number of hours represented by the current instance.

  This property is read-only.

  This property converts the value of the current instance from ticks to hours. This number can include whole and fractional hours.

  This example demonstrates using the property.

  `using System; public class TimeSpanTotalUnitsProperties{ public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12); Console.WriteLine(ts.ToString()); Console.WriteLine("TotalHours: {0}", ts.TotalHours); } }`

  The output is

  11.13:46:40

  TotalHours: 277.777777777778

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Double

  Gets the value of the current instance expressed in milliseconds.

  A that specifies the total number of milliseconds represented by the current instance.

  This property is read-only.

  This property converts the value of the current instance from ticks to milliseconds. This number can include whole and fractional milliseconds.

  This example demonstrates using the property.

  `using System; public class TimeSpanTotalUnitsProperties{ public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12); Console.WriteLine(ts.ToString()); Console.WriteLine("TotalMilliseconds: {0}", ts.TotalMilliseconds); } }`

  The output is

  11.13:46:40

  TotalMilliseconds: 1000000000

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Double

  Gets the value of the current instance expressed in minutes.

  A that specifies the total number of minutes represented by the current instance.

  This property is read-only.

  This property converts the value of the current instance from ticks to minutes. This number can include whole and fractional minutes.

  This example demonstrates using the property.

  `using System; public class TimeSpanTotalUnitsProperties{ public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12); Console.WriteLine(ts.ToString()); Console.WriteLine("TotalMinutes: {0}", ts.TotalMinutes); } }`

  The output is

  11.13:46:40

  TotalMinutes: 16666.6666666667

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Property
  System.Double

  Gets the value of the current instance expressed in seconds.

  A that specifies the total number of seconds represented by the current instance.

  This property is read-only.

  This property converts the value of the current instance from ticks to seconds. This number can include whole and fractional seconds.

  This example demonstrates using the property.

  `using System; public class TimeSpanTotalUnitsProperties{ public static void Main() { TimeSpan ts = new TimeSpan((Int64)10e12); Console.WriteLine(ts.ToString()); Console.WriteLine("TotalSeconds: {0}", ts.TotalSeconds); } }`

  The output is

  11.13:46:40

  TotalSeconds :1000000

  1
  ExtendedNumerics
  1.0.5000.0
  2.0.0.0
  4.0.0.0
- Method
  System.Boolean `` `` To be added. To be added. To be added. To be added. To be added. 2.0.0.0 4.0.0.0
- Method
  4.0.0.0
  System.Boolean `` `` `` To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Method
  4.0.0.0
  System.Boolean `` `` `` `` `` To be added. To be added. To be added. To be added. To be added. To be added. To be added. To be added.
- Field
  System.TimeSpan

  Returns a whose value is 0.

  This field is read-only.

  This field is a whose value is 0 ticks. This provides a convenient source for 0 in calculations.

  0
  1.0.5000.0
  2.0.0.0
  4.0.0.0
0 System.Runtime.InteropServices.ComVisible(true)